package org.brapi.test.BrAPITestServer.model.dto.geno;

import java.util.List;

public class VariantWriteRequest {
    private String variantDbId;
    private String variantName;
    private String variantType;
    private String variantSetDbId;
    private String referenceSetDbId;
    private Integer start;
    private Integer end;
    private String referenceBases;
    private Integer svlen;
    private Boolean filtersApplied;
    private Boolean filtersPassed;
    private List<String> alternateBases;
    private List<Integer> ciend;
    private List<Integer> cipos;
    private List<String> filtersFailed;

    public String getVariantDbId() {
        return variantDbId;
    }

    public void setVariantDbId(String variantDbId) {
        this.variantDbId = variantDbId;
    }

    public String getVariantName() {
        return variantName;
    }

    public void setVariantName(String variantName) {
        this.variantName = variantName;
    }

    public String getVariantType() {
        return variantType;
    }

    public void setVariantType(String variantType) {
        this.variantType = variantType;
    }

    public String getVariantSetDbId() {
        return variantSetDbId;
    }

    public void setVariantSetDbId(String variantSetDbId) {
        this.variantSetDbId = variantSetDbId;
    }

    public String getReferenceSetDbId() {
        return referenceSetDbId;
    }

    public void setReferenceSetDbId(String referenceSetDbId) {
        this.referenceSetDbId = referenceSetDbId;
    }

    public Integer getStart() {
        return start;
    }

    public void setStart(Integer start) {
        this.start = start;
    }

    public Integer getEnd() {
        return end;
    }

    public void setEnd(Integer end) {
        this.end = end;
    }

    public String getReferenceBases() {
        return referenceBases;
    }

    public void setReferenceBases(String referenceBases) {
        this.referenceBases = referenceBases;
    }

    public Integer getSvlen() {
        return svlen;
    }

    public void setSvlen(Integer svlen) {
        this.svlen = svlen;
    }

    public Boolean getFiltersApplied() {
        return filtersApplied;
    }

    public void setFiltersApplied(Boolean filtersApplied) {
        this.filtersApplied = filtersApplied;
    }

    public Boolean getFiltersPassed() {
        return filtersPassed;
    }

    public void setFiltersPassed(Boolean filtersPassed) {
        this.filtersPassed = filtersPassed;
    }

    public List<String> getAlternateBases() {
        return alternateBases;
    }

    public void setAlternateBases(List<String> alternateBases) {
        this.alternateBases = alternateBases;
    }

    public List<Integer> getCiend() {
        return ciend;
    }

    public void setCiend(List<Integer> ciend) {
        this.ciend = ciend;
    }

    public List<Integer> getCipos() {
        return cipos;
    }

    public void setCipos(List<Integer> cipos) {
        this.cipos = cipos;
    }

    public List<String> getFiltersFailed() {
        return filtersFailed;
    }

    public void setFiltersFailed(List<String> filtersFailed) {
        this.filtersFailed = filtersFailed;
    }
}
